% ftoe.lex (remi@cmirh 2-oct-86)
%{
#include <stdio.h>
%}
%START VERBATIM1,VERBATIM2
%%
<VERBATIM1>"{" fprintf(yyout,"*\\'e\\verb*");
<VERBATIM1>"}" fprintf(yyout,"*\\`e\\verb*");
<VERBATIM1>"@" fprintf(yyout,"*\\`a\\verb*");
<VERBATIM1>"^". {
		fprintf(yyout,
			"*\\^%c\\verb*",
			yytext[1]);
		}
<VERBATIM1>\/\". fprintf(yyout,"*\\\"%c\\verb*",yytext[2]);
<VERBATIM1>"|" fprintf(yyout,"*\\`u\\verb*");
<VERBATIM1>\\ fprintf(yyout,"*\\c c\\verb*");
<VERBATIM1>"*" fprintf(yyout,"**\\verb*");
<VERBATIM1>"/end<verbatim>" {
			    fprintf(yyout,"*");
			    BEGIN 0;
			    }
"/" putc('\\',yyout);
"\021". putc(yytext[1],yyout);
"<" putc('{',yyout);
">" putc('}',yyout);
"{" fprintf(yyout,"\\'e");
"}" fprintf(yyout,"\\`e");
"@" fprintf(yyout,"\\`a");
"|" fprintf(yyout,"\\`u");
"^" fprintf(yyout,"\\^");
"/begin<verbatim>" {
			   fprintf(yyout,"\\verb*");
			   BEGIN VERBATIM1;
			   }
%%

FILE *infile,*outfile;

main(argc,argv)
int argc;
char *argv[];
   {
   if (argc != 3)
      {
      printf("SYNTAX: latextrans infile outfile\n");
      exit(0);
      }
   if ((yyin = fopen(argv[1],"r")) == NULL)
      {
      printf("ne peut pas ouvrir %s en lecture\n",argv[1]);
      exit(0);
      }
   if ((yyout = fopen(argv[2],"w")) == NULL)
      {
      printf("ne peut pas ouvrir %s en ecriture\n",argv[2]);
      exit(0);
      }
   yylex();
   }

yywrap(){return(1);}
